org.apache.hadoop.mapreduce.lib.input

## Class SequenceFileAsBinaryInputFormat

- java.lang.Object
- - org.apache.hadoop.mapreduce.InputFormat<K,V>
  - - org.apache.hadoop.mapreduce.lib.input.FileInputFormat<K,V>
    - - org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFormat<BytesWritable,BytesWritable>
      - - org.apache.hadoop.mapreduce.lib.input.SequenceFileAsBinaryInputFormat

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class SequenceFileAsBinaryInputFormat
      extends SequenceFileInputFormat<BytesWritable,BytesWritable>

  InputFormat reading keys, values from SequenceFiles in binary (raw) format.

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

      `DEFAULT_LIST_STATUS_NUM_THREADS, INPUT_DIR, INPUT_DIR_NONRECURSIVE_IGNORE_SUBDIRS, INPUT_DIR_RECURSIVE, LIST_STATUS_NUM_THREADS, NUM_INPUT_FILES, PATHFILTER_CLASS, SPLIT_MAXSIZE, SPLIT_MINSIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SequenceFileAsBinaryInputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordReader<BytesWritable,BytesWritable>` | `createRecordReader(InputSplit split, TaskAttemptContext context)` Create a record reader for a given split.

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.SequenceFileInputFormat

      `getFormatMinSplitSize, listStatus`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat

      `addInputPath, addInputPathRecursively, addInputPaths, computeSplitSize, getBlockIndex, getInputDirRecursive, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, getSplits, isSplitable, makeSplit, makeSplit, setInputDirRecursive, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SequenceFileAsBinaryInputFormat

          public SequenceFileAsBinaryInputFormat()

  - ### Method Detail

    - #### createRecordReader

          public RecordReader<BytesWritable,BytesWritable> createRecordReader(InputSplit split,
                                                                              TaskAttemptContext context)
                                                                       throws IOException

      Description copied from class: `InputFormat`
      Create a record reader for a given split. The framework will call `RecordReader.initialize(InputSplit, TaskAttemptContext)` before the split is used.
      Overrides:
        `createRecordReader` in class `SequenceFileInputFormat<BytesWritable,BytesWritable>`
      Parameters:
        `split` - the split to be read
        `context` - the information about the task
      Returns:
        a new record reader
      Throws:
        `IOException`

Copyright © 2022 Apache Software Foundation. All rights reserved.